"""fix null dag logs

Revision ID: f49af22c5c0e
Revises: 008590dd66fd
Create Date: 2024-02-20 14:32:15.149922

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "f49af22c5c0e"
down_revision = "008590dd66fd"
branch_labels = None
depends_on = None


old_log = """log = null_dag.$(jobname).log"""

new_log = """log = condor.log"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'),E'{old_log}', E'{new_log}' )::bytea
        WHERE filename like 'null_dag_%.condor';
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'),E'{new_log}', E'{old_log}' )::bytea
        WHERE filename like 'null_dag_%.condor';
        """
    )
